> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cube.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List regions



## OpenAPI

````yaml /api-reference/api.yaml get /v1/regions
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: User Attributes
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
  - name: Dbt Sync
  - name: Env Variables
  - name: OAuth Integrations
  - name: OIDC Token Configs
  - name: Regions
  - name: Tenant Settings
  - name: User Attribute Values
  - name: User OAuth Tokens
  - name: Users Admin
paths:
  /v1/regions:
    get:
      tags:
        - Regions
      summary: List regions
      operationId: listRegions
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionsListResponse'
          description: ''
components:
  schemas:
    RegionsListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/RegionDto'
          type: array
      required:
        - data
      type: object
    RegionDto:
      properties:
        id:
          type: integer
        isDedicated:
          oneOf:
            - type: boolean
            - type: 'null'
        isHybrid:
          oneOf:
            - type: boolean
            - type: 'null'
        isPublic:
          oneOf:
            - type: boolean
            - type: 'null'
        name:
          type: string
        provider:
          oneOf:
            - type: string
            - type: 'null'
        title:
          oneOf:
            - type: string
            - type: 'null'
        useAiEngineer:
          oneOf:
            - type: boolean
            - type: 'null'
      required:
        - id
        - name
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````